const toggleSwitch = document.querySelector('#dark-mode-toggle');
const toggleLabel = document.querySelector('.toggle-label');

toggleSwitch.addEventListener('change', toggleDarkMode);

function toggleDarkMode() {
  if (toggleSwitch.checked) {
    document.documentElement.setAttribute('data-theme', 'dark');
    document.querySelector('.card').classList.add('dark-mode');
    toggleLabel.textContent = 'Light Mode';
    toggleLabel.style.color = '#fff'; // Set text color to white
  } else {
    document.documentElement.setAttribute('data-theme', 'light');
    document.querySelector('.card').classList.remove('dark-mode');
    toggleLabel.textContent = 'Dark Mode';
    toggleLabel.style.color = '#fff'; // Set text color to default
  }
}